﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"
#backgrounds
image bg bookshelf day = im.Scale("BookshelfDay.jpg", 850, 650)
image bg bookshelf night = im.Scale("BookshelfNight.jpg", 850, 650)
image bg cafeteria = im.Scale("cafeteria bugview.jpg", 850, 650)
image bg classroom bugview = im.Scale("classroom bugview.jpg", 850, 650)
image bg classroom = im.Scale("classroom.jpg", 850, 650)
image bg machinetop = im.Scale("MachineTop.jpg", 850, 650)
image bg mousehole = im.Scale("MouseHole.jpg", 850, 650)
image bg whiteboard = im.Scale("Whiteboard.jpg", 850, 650)
image bg hallway = im.Scale("hallway.jpg", 850, 650)

#CGs
image bg flash = im.Scale("Flash.jpg", 850, 650)
image bg broom = im.Scale("Broom.jpg", 850, 650)
image bg firstkiss = im.Scale("FirstKiss.jpg", 850, 650)
image bg kiss = im.Scale("Kiss.jpg", 850, 650)
image bg shrinkmachine = im.Scale("ShrinkMachineCG.jpg", 850, 650)
image bg shrinkmachinecloth = im.Scale("ShrinkMachinecloth.jpg", 850, 650)

#Characters
image mandy = "Mandy.png"
image mandy blush = "MandyBlush.png"
image mandy smile = "MandySmile.png"
image mandy surprised = "MandySurprised.png"
image mandy veryhappy = "MandyVeryHappy.png"
image mandy worried = "MandyWorried.png"

image jake blush = "AaronBlush.png"
image jake serious = "AaronSerious.png"
image jake smile = "AaronSmile.png"
image jake upset = "AaronUpset.png"

image ant normal = "ant.png"
image ant angry = "antangry.png"
image ant worried = "antsworried.png"

image lb happy = "LBHappy.png"
image lb veryhappy = "LBVeryHappy.png"
image lb worried = "LBWorried.png"

image mmouse amused = "MouseAmused.png"
image mmouse angry = "MouseAngry.png"
image mmouse happy = "MouseHappy.png"
image mmouse normal = "MouseNormal.png"

image mysterybug = "MysteryBug.png"

# Declare characters used by this game.
define m = Character('Mandy')
define j = Character('Jake')
define a = Character('Andy Ant')
define am = Character('Ant Em')
define mb = Character('Mysterious Bug')
define mm = Character('Morgrim Mouse')
define ll = Character('Lily Ladybug')
define t = Character('Teacher')


# The game starts here.
label start:

    #affection
    $ ja = 0
    
    #days
    $ day = 0
    
    #crumbs
    $ c = 0
    
    $ cafeteria = False
    $ classroom = False
    $ whiteboard = False
    $ midnightmeeting = False
    $ confession = False

    show black
    play music "Open Those Bright Eyes.mp3"
    
    centered"A story of love,"
    centered"bugs,"
    centered"and cookie crumbs"
    

    scene bg classroom with fade
    
    t "All right class, don't forget to finish up your homework. Your science projects are due on the day we get back."
    "Briiiiiing!"
    t "Enjoy your three day weekend!"
    show mandy at left with dissolve
    m "Ah, finally!"
    scene bg hallway with fade
    show mandy at left with dissolve
    "I stuffed the last of my notes into my backpack. Hopefully I wouldn't miss the bus."
    "I ran out into the hallway just as everyone else was streaming out."
    j "Hey."
    show jake smile at right with dissolve
    "I looked up. Jake, the class president, was walking with me. I smiled back."
    m "Hey, Jake, what's up?"
    j "I was absent yesterday, and I missed the notes on Byrophyte evolution."
    j "Odilia said you're one best notetaker in class. Would you mind if I borrow them?"
    
    menu:
        "Sure, I don't mind.":
            $ ja += 1
            "Jake smiled wide."
            j "Thanks!"
            "I rummaged through my mess of a backpack."
            m "Oh... I know they're around here somewhere..."
            j "Need some help looking?"
            m "No, I got- Oh!"
            show mandy surprised
            "I just remembered. I must have left it under my desk in the room!"
            m "I'll be right back, I know where they are!"
            show jake upset
            j "...!"
            hide jake with dissolve
            "I hurried away before Jake could reply."
            
        "Sorry.":
            m "I need them to study this weekend."
            show jake serious
            j "I see."
            j "Nevermind then."
            m "Well, I'll see you. I have to catch the bus."
            show jake smile
            j "All right. Bye, Mandy."
            hide jake with dissolve
            "I arrived at the bus stop, then rummage through my bag for the bus pass."
            show mandy worried
            m "Oh, shoot!"
            "I groaned. I must have left my pass in my science binder. It must still be back at the classroom!"
            "I hurried back inside, hoping the bus wouldn't leave without me."
      
    scene bg classroom with fade        
    "The classroom was empty of students. {w}"
    show bg shrinkmachinecloth with fade
    extend "However, there was a large, cloth covered something beside the door, which hadn't been there before."
    scene bg classroom with fade
    "I spotted my desk, searching for my notebook. Oh, there it was!"
    "I snatched the binder and ran for the door."
    stop music
    m "Oof!"
    with hpunch
    "I slammed into someone!"
    m "Aghh!"
    "I lost my balance and fell backward. My arms waved wildly, trying to catch my fall."
    "I saw the ground rise to meet me, and winced hard. This wasn't going to be pretty."
    "I closed my eyes and anticipated the slam."
    show bg flash
    with hpunch
    "Except..."
    show black with fade
    "I just kept falling."
    "And falling."
    "And falling."
    "At last, I felt my body slam onto the ground."
    m "Ouch!"
    m "What the-?"
    play music "Continue Life.mp3"
    scene bg classroom bugview with fade
    show mandy worried at left with dissolve
    m "What happened to the classroom?!"
    "Everything was so big! How in the world did my desk get to be the size of a mountain?!"
    j "Mandy! Mandy, is that you? Are you all right?"
    show jake upset at right with dissolve
    m "Jake! What just happened?!"
    show jake serious
    j "I don't know. You slammed into me, and the next thing I knew..."
    m "The world is giant-sized."
    j "... Yeah."
    m "What are we going to do?"
    j "... I don't really know. This hasn't exactly happened to me before, you know."
    a "Hey! Hey you, strangers!"
    show ant normal with dissolve
    m "Oh my gosh!"
    show mandy surprised
    j "?!?!"
    a "Well, that's a nice howdy-do."
    m "What are you?!"
    show mandy worried
    a "An ant, mum, a nice, common black ant. Andy's the name."
    a "And might I ask yours? You are the two strangest insects I've ever seen in m' whole life."
    show mandy
    m "Insects?"
    j "Insects... Meaning the world didn't just grow, Mandy. We were shrunk, somehow."
    m "But how?!"
    j "I don't know... Hmmm. Maybe it has something to do with the science fair next week?"
    j "It's like we just jumped into a science fiction movie."
    m "You're right... we shrunk!"
    j "We just have to find a way to get ourselves back to normal size."
    m "You're right. But how do we do that?"
    a "Ahem. Beggin' yer pardon, but I'm still here."
    m "Oh, sorry- er, Andy."
    a "Ah, no worried. Yer don't happen to be aliens, do yer?"
    m "No, of course not!"
    a "Then what would ya be?"
    j "Humans."
    a "Pshaw! Yer pullin' one o' my legs! No human was ever a normal size. Nor do they speak English."
    m "Well. We are."
    a "Hmmm. So you say. I'm just a poor common ant, and don't know much about nothing."
    a "But I do know you're no insect, or I'll eat my antennae."
    m "I want to know how in the world we ended up like this in the first place!"
    j "...!"
    j "Mandy, do you remember when you fell? You grabbed something..."
    show mandy surprised
    m "Yes... Yes! That cloth sheet."
    show mandy
    j "Maybe that'll give us a clue as to what happened."
    a "Well, if you folks want to know something, you best consult Morgrim. He knows everything around here."
    j "Morgrim?"
    a "The school Mouse Master."
    m "Where is he?"
    a "In his nest, by the whiteboard. He's a bit cranky though..."
    show mandy surprised
    m "That's by the cloth thing! Maybe he saw something!"
    j "I hope so."
    a "I can take you to him, if you like."
    show mandy smile
    m "Oh, would you?"
    a "Sure."
    show mandy veryhappy
    m "Thank you, Andy!"
    a "My pleasure. Can I ask your names?"
    show mandy
    m "Oh, my name's Mandy."
    show jake smile
    j "And I'm Jake."
    a "Nice to meet the both of you. Are you mates?"
    show mandy surprised
    m "{i}Whaaat?!{/i}"
    show jake  blush
    a "Well, I can smell the difference. Why else would a male accompany a female?"
    
    menu: 
        "Friends! Just friends!":
            $ ja += 0
            
        "Say nothing":
            $ja += 1
    
    show mandy        
    show jake serious        
    j "...."
    a "Oh? Hmmm. Off we go, then."
    scene bg mousehole with fade
    show ant normal
    show mandy smile at left
    show jake smile at right
    with dissolve
    a "Well, I'll leave you here. I best be getting back to work."
    m "Thank you for all your help, Andy!"
    a "Aw, shucks, tweren't nothing. I'll be seeing you, folks."
    j "Bye, Andy. Thank you."
    hide ant with dissolve
    show mmouse normal behind jake with dissolve
    mm "Well now, what do we have here?"
    j "Morgrim Mouse?"
    mm "That's me. What do you want?"
    m "My name's Mandy, and this is Jake. We were wondering if you saw what happened five minutes ago."
    mm "Five minutes ago? What should I have seen?"
    j "We were hoping you saw what happened to us."
    mm "I've never seen the two of you before in my life. All I saw five minutes ago were two humans bumbling into each other."
    m "That's us!"
    mm "Hrmph. Quit wasting my time, kid. I have more important things to do than fall for prank calls."
    m "No, see, we were somehow shrunk down to this size, and we were hoping you would know what did it-"
    mm "Hrmph. Don't know nothing. Go away."
    m "But-"
    show mmouse angry
    mm "I said go away!"
    hide mmouse with dissolve
    show mandy worried
    m "What a nasty mouse!"
    show jake serious
    j "Looks like we'll have to check it out ourselves. Let's go, Mandy."
    m "Mmm."
    scene bg shrinkmachine with fade
    show jake serious at right
    show mandy at left
    with dissolve
    j "What is this thing?"
    m "Looks like something from a mad scientist's lab. What are all these papers doing on the ground?"
    j "You must have knocked them off when you tore of the cloth."
    m "I guess so."
    j "Let's start reading them; they may have a clue as to what's going on."
    hide jake
    hide mandy
    with dissolve
    "We read for an hour. We could only read what was there; we were too small to move any paper."
    "It was hard work, deciphering letters that were as big as you were, and the person who wrote it insisted on the most horrible cursive 
    I have even seen."
    "Finally, I found something."
    show mandy surprised at left with dissolve
    m "Jake! Over here!"
    show mandy
    "He jogged over."
    show jake smile at right with dissolve
    j "What did you find?"
    m "Here. This big drawing looks like the schematics of the thing. And this thing here."
    j "'Initiate Button'?"
    m "Can't get much clearer than that. Look. All we'd have to do is turn this dial here-"
    "I pointed it out."
    m "And press initiate. We'll be back to our normal selves!"
    j "Hmmm. Sounds like a good plan..."
    m "... But?"
    j "But we're still too small. Both our weights combined wouldn't have any effect on a button that large."
    m "You're right..."
    j "And one other thing."
    m "What is it?"
    show jake serious
    j " I figured out one more thing, and you're not going to like it."
    m "???"
    j "This shrinking thing; it'll only last for four days."
    m "You mean, at the end of four days, we'll get back to our normal selves?"
    show mandy veryhappy
    extend "That's great!"
    j "Not great. I thought that too, at first. But the words were wierd, so I had a hard time figuring it out. It turns out, we have three days to get back 
    to our normal size, or we're stuck this way."
    show mandy worried
    m "Stuck?!"
    j "I'm afraid so."
    m "No! It can't be! I can't stay a quarter inch-high all of my life!"
    j "Or what's left of it."
    m "?!"
    j "Oh, I'm sorry, Mandy. I was talking to myself..."
    m "No, you're right. We wouldn't survive long if we stay this way. There are a million things that could kill us..."
    j "We have to reach normal size by the end of the three-day weekend."
    m "Or we're toast."
    show mandy 
    "We stayed silent for a little while, letting it all sink in."
    "This was so unfair! What did we do to deserve this?"
    show ant normal with dissolve
    a "Ho! Strange insects! Still here?"
    show mandy smile
    m "Andy! I thought you were going back to work?"
    show jake smile
    show mandy
    a "Well, male ants don't have much to do, anyway. I thought I'd find myself some company."
    a "So how did meeting old Mousy turn out?"
    j "Not very well, but we managed to find out what happened anyway."
    a "And?"
    m "And we have to find a way to reach human size in three days, or we're stuck this way."
    a "And what's wrong with this size? I manage it quite well."
    j "It's a great size for an ant, Andy, but humans aren't made to be this small."
    a "Hmmm. I suppose you're right."
    a "Well, if there's anything I can do to help...?"
    m "Maybe there is? See, we need to have this button pressed in that machine over there, to get back to normal size. Trouble is, we're too small."
    a "A button, eh? Well, I'd sure like to help, but I don't weight so much myself. I doubt I'd be heavy enough, even with you two on board."
    j "That's right... Shoot."
    a "Hey, but I can tell you what! Old Morgrim's got a.. ahem, {w}{i}generous{/i} sized-portions, maybe we'd be big enough with him along?"
    m "That's right! Andy, you're a genius!"
    a "Oh, but hold on there. You saw how cranky old Morgrim can be. You've got to win him over, like."
    j "Win him over?"
    a "Shore. If there's one thing that can get old sourmouse to sweeten up, it's a mouthful of crumbsies."
    m "You mean, food?"
    a "Ah shore do. Get enough crumbs, and ya might just be able to persuade him to help you. He's too fat to travel far from his little hidy-hole 
    nowadays, so he relies on his children. But they're none to reg'lar about visitin', and that just makes him more cranky."
    m "So we just need to get enough crumbs to get him happy?"
    a "Yep."
    show mandy smile
    j "Great! So how do we start?"
    a "Well, first thing, you two aren't much for scavenging, I can see. The best crumbs are alrady taken by now, by bugs and janitors. You'll have to find insects 
    willing to give you some, which isn't easy."
    show mandy surprised
    m "How would we do that?"
    show mandy
    a "Well, bugs are suckers for information. Want to prove they're smarter than anybody else. Challenge an insect to a quiz, and if he's honorable, he has to take 
    you up on it. If you're smart, you'll get your crumbs."
    j "Sounds easy enough."
    a "Here are three cracker crumbs to get you started. There are three kinds of crumbs that Morgrim will accept:"
    $ c =+ 3
    a "Cracker crumbs, {p}Cookie crumbs, {p}And choklit crumbs."
    m "(I think he means a piece of chocolate...)"
    a "A cookie crumb is worth two cracker crumbs, and a choklit's worth four."
    a "The harder a question is, the more a crumb's worth."
    a "Knowing old Morgrim, I'd say you're need a total of about fifteen cracker crumbs' worth total to get him to budge."
    show mandy smile
    m "Thank you so much, Andy! You're such a huge help."
    a "Anything to help a lady."
    a "I'll go back to the colony and see if I can't get a few more crumbs for you two."
    j "Bye, Andy."
    a "Bye folks, I'll see you later."
    hide ant 
    jump day1
    
label schoolmenu:
    menu:
        "The cafeteria":
           jump cafeteria
                
        "The classroom next door":
            jump classroom
                
        "The whiteboard":
            jump whiteboard
                
        "Morgrim's Mousehole" if day == 4:
            jump morgrimsmousehole
            
label day1:
    
    show black
    centered "Day 1"
    $ day += 1
    
    j "Well, Mandy. We should we start looking?"
    
    jump schoolmenu
    
label cafeteria:
    if cafeteria:
        "We've already been there."
        jump schoolmenu
    
    scene bg cafeteria
    show mandy at left
    show jake serious at right
    with dissolve    
    m "Wow, this place really looks different when you're less than half an inch tall."
    j "You can say that again."
    j "So where do we start?"
    m "Do you see anything?"
    j "... No, it's all empty. Wait, what's that?"
    show mysterybug
    m "I'm not sure. Is that a... cloak?"
    mb "Ah, hello. Interested in crumbs?"
    j "How would you know that?"
    mb "Oh, word gets around."
    mb "Now, shall we begin?"
    m "We have our crumbs."
    mb "Very good. How this works: The first question is word a cracker, the second is worth a cookie, and the third is worth a choklit."
    j "Right."
    mb "Are you sure you're ready?"
    m "Yes."
    mb "Very well."
    
    centered "{color=#00FF7F}Who is Eileen?{/color}"
    menu:
        "Creator of Renpy":
            mb "No, no, no. Now, a crumb."
            $ c -= 1
        
        "Degeneres":
            mb "Very wrong. Next?"
            $ c -= 1
        
        "Renpy tutorial guide":
            mb "Grrr... Yes."
            $ c += 1
        
        "administrator":
            mb "Haha, nope!"
            $ c -= 1
            
    mb "All right, next question."
    centered "{color=#00FF7F}What is Rule Number 1 in the moderation policy?{/color}"
    menu:
        "Language":
            mb "Heh, that's wrong. That crumb is mine."
            $ c -= 2
        
        "Going off topic":
            mb "Haha, no, no, no again."
            $ c -= 2
        
        "Pirated Works":
            mb "Yes! I was kidding. Of course not."
            $ c -= 2
        
        "Civility and Criticism":
            mb "Ugh. All right. Here."
            $ c += 2
    
    mb "Last one!"
    centered "{color=#00FF7F}What month does NaNoReNo take place?{/color}"
    menu:
        "March":
            mb ".... Yeah. That's right."
            $ c += 4
        
        "June":
            mb "No! Haha! The crumb is mine!"
            $ c -= 4
        
        "April":
            mb "Close, but not enough."
            $ c -= 4
        
        "December":
            mb "Oh, so far."
            $ c -= 4
            
    mb "Nice doing business with you."
    hide mysterybug with dissolve
    $ cafeteria = True
    
    if day == 1:
        jump day1night
    if day ==2:
        jump day2night
    if day ==3:
        jump day3night
        
#show scene be cafeteria
    
label classroom:
    if classroom:
        "We've already been there."
        jump schoolmenu

    scene bg classroom bugview with fade
    m "This looks just like the other classroom."
    j "I know what you mean."
    m "I can't believe it took us six hours to get here!"
    j "Can't help it; the door was closed. We had to get in through the vents."
    m "Just thinking about the six hours back..."
    j "Don't. It just makes it worse."
    m "..."
    j "Hey, what's that?"
    m "Another bug, I hope!"
    show ant normal
    am "Well, howdy, folks! Can I help you with something?"
    j "We were wondering if you're up for a quiz game."
    am "A quiz game! How fun! All right, let's play."
    am "Who'll do the asking?"
    m "You can."
    am "Oh, goody! I love asking. Just call me Aunt Em, okay?All right, here are my crumbs."
    m "And here are ours. Um, Aunty Em."
    am "Yay! Fun!"
    
    centered "{color=#00FF7F}Who is the creator of this game?{/color}"
    menu:
        "SilverxBlue":
            show ant worried 
            $ c-= 1
            am "Sorry, folks. That crumb's mine."
            
        "LVUER":
            show ant worried 
            $ c -= 1
            am "What? No."
            
        "choklit":
            show ant normal
            $ c+= 1
            am "Nice! Here ya go."
            
        "Lumen Astrum":
            show ant worried
            $ c-= 1
            am "Good try, but no."
            
    am "Next question."
    centered "{color=#00FF7F}Who is the first signer of the guestbook?{/color}"
    menu:
        "Random":
            show ant normal
            $ c += 2
            am "Right? Isn't that so random?"
        
        "Pytom":
            show ant worried
            $ c -= 2
            am "That's not it."
        
        "Blue Lemma":
            show ant worried
            $ c -= 2
            am "What's a Lemma?"
        
        "Barack Obama":
            show ant worried
            $ c -= 2
            am "Who's that?"
        
    am "Great! Last one."
    centered "{color=#00FF7F}Which one of these can Renpy NOT do?{/color}"
    menu:
        "play pong":
            show ant worried
            $ c -= 4
            am "Classic. Pong. But no, it CAN. XD"
            
        "make you breakfast":
            $ c+= 4
            am "How about putting this on the next release, pytom? :D"
            
        "make a visual novel":
            show ant worried
            $ c-= 4
            am "Um, do you even know what Renpy IS?"
            
        "play music":
            show ant worried
            $ c -=4
            am "Um, yes it can, folks."
            
    am "Great game, folks. I have to get back to work now. See you later."
    hide ant with dissolve
    m "....."
    j "....."
    m "That's it."
    j "Yes."
    m ".... {i}SIX hours{/i}."
    j "... Let's go."
    
    $classroom = True
    
    if day == 1:
        jump day1night
    if day ==2:
        jump day2night
    if day ==3:
        jump day3night

label whiteboard:
    if whiteboard:
        "We've already been there."
        jump schoolmenu

    scene bg whiteboard with fade
    m "I can't believe we climbed that high!"
    j "*Huff huff* Neither can I..."
    m "See any bugs?"
    j "... Is that one?"
    m "Yes!"
    m "Hello!"
    show lb happy with dissolve
    ll "Oh! Hello, dearie."
    m "Hi."
    j "Are you up for a quizzing game, miss?"
    ll "Oh, I'd love to."
    show lb veryhappy
    ll "If you don't mind, I'd prefer to do the asking. My name is Lily, by the way."
    show lb happy
    m "Pleasure to meet you, Lily.."
    ll "Thank you, sweetie. Ready?"
    
    centered "{color=#00FF7F}True or False: Renpy is the best VN engine ever! (Come on, this is a gimme. ^_^){/color}"
    menu: 
        "True":
            show lb veryhappy
            ll "Very good, dearie!"
            "(choklit: Dingdingding!)"
            $ c += 1
        "False":
            show lb worried
            ll "Oh, I'm afraid not."
            "(choklit: Step away from the computer. Now. Hang your head in shame.)"
            $ c -= 1
            
    ll "Are you ready?"
    m "Yes."
    ll "Here you go."
    centered "{color=#00FF7F}Which one of these is NOT an administrator?{/color}"
    menu:
        "Blue Lemma":
            show lb worried
            ll "Are you quite sure you're feeling well?"
            $ c -= 2
            
        "adminsama":
            show lb worried
            $ c -= 2
            ll "no, that's not it."
            
        "Baidu":
            show lb veryhappy
            $ c += 2
            ll "Very good! Here are your crumbs."
            
        "Sakebento":
            show lb worried
            $c -= 2
            ll "Better luck next time, dearie."
       
    ll "All right, here's the last one..."
    centered "{color=#00FF7F}Which artist created the sprites for Flower Shop?{/color}"
    menu:
        "BubblesFish":
            show lb worried
            $c -= 4
            ll "I'm afraid not, dearie."
        
        "Deji":
            show lb veryhappy
            $ c +=4
            ll "That's right! Doesn't Deji-chan have such lovely artwork?"
                
        "aurapandora":
            show lb worried
            $ c -= 4
            ll "That's not it..."
                
        "platonicheart":
            show lb worried
            $ c -= 4
            ll "Sweetheart, I'm sorry; that's wrong..."
        
    show lb happy
    ll "So nice! You made my day, young ones. Thank you."
    hide lb with dissolve
    m "What a nice insect."
    j "Yes, she was."
    m "... Now we have to climb down."
    j "Yes we do."
    m "..."
    j "Ladies first."
    m "... Jake..."
    
    $ whiteboard = True
    
    if day == 1:
        jump day1night
    if day ==2:
        jump day2night
    if day ==3:
        jump day3night
        
#scene be whiteboard

label day1night:
    
    play music "Sovereign.mp3"
    scene bg bookshelf night with fade
    show mandy at left
    show jake serious at right
    with dissolve
    m "Man, I'm tired. Going all the way over there is tiring. I'll never take being 5'4 for granted again."
    j "I know what you mean."
    m "What time is it?"
    j "Nine oclock."
    m "*Yawn*"
    j "We should turn in."
    m "Agreed. Where?"
    j "Somewhere that doesn't feel like we're in the open."
    m "... How about that bookshelf?"
    j "Could work."
    #show bookshelf
    m "Who knew lint could be so comfy?"
    j "Ew."
    menu:
        "Tease him":
            m "Hm. Didn't take you for the squeaky-clean type, Jake."
            j "Do you even know where that thing's been?"
            m "Relax; I think it fell from the stuffed bear up there."
            j "Even so..."
            m "So which side of the shelf you want? Left or right?"
            show jake smile
            j "I'll take left of Polymorphic, for 800."
            m "Hahaha..."
            m "Good night, Jake."
            j "Good night, Mandy."
            $ ja += 1
            
        "Tell him to stop taking it so seriously":
            show mandy worried
            m "Really, Jake. I was just joking."
            show mandy
            j "Whatever. Don't blame me if you get sick."
            m "Can't get much worse than it already is, right?"
            j "Could."
            m "How?"
            j "We could be half this size."
            m "Very funny."
            j "I'm beat. Good night, Mandy."
            m "Night, Jake."
    
    $ day += 1
    
jump day2

label day2:
    
    play music "The Forest and the Trees.mp3"
    show black with dissolve
    centered "Day 2"
    scene bg bookshelf day with dissolve
    show mandy at left
    show jake smile at right
    with dissolve
    m "Mmmm..."
    j "Rise and shine."
    m "Hmmmm... Don't wanna."
    j "We better, if we're going to get enough crumbs in time."
    m "Crumbs. Bah."
    j "You're not so cheerful in the morning, are you."
    m "You think."
    j "Fine, five more minutes."
    m "Mmmmm..."
    show ant normal with dissolve
    a "Hey, everyone! Ready for another big day?"
    show mandy surprised
    m "Andy? Here so early?"
    show mandy
    a "Why, half the day's already done!"
    j "It's only 8 oclock."
    a "You humans keep odd hours."
    show mandy surprised
    m "*mumble* Says the talking insect."
    a "Beg pardon?"
    j "Don't mind her, she's a little off in the mornings."
    a "Oh. Well. I have breakfast, if you like."
    show mandy smile
    m "What? Breakfast?"
    j "That got you up."
    show mandy veryhappy
    m "Just realized how hungry I was. We haven't eaten since yesterday."
    j "I almost forgot about that."
    m "I haven't. What's on the menu?"
    a "A piece of dried strawberry, a heel of bread, and a piece of graham cracker. Which would you like?"
    j "Mandy? Ladies pick first."
    m "Hmm... I'd like-"
    menu:
        "Dried Strawberry":
            $ ja += 1
            m "I love strawberries!"
            j "So do I."
            m "Would you like a piece? I'll trade you for half your bread."
            j "Deal."
            
        "Bread":
            m "Yummy."
            a "I like bread, myself, but I'd much rather have the graham cracker."
            j "I prefer the strawberry. Everyone's happy."
            
        "Graham cracker":
            $ c += 1
            m "I wish I had some milk with this..."
            j "I'd enjoy some juice, myself."
            a "Milk? Like aphid milk? I knwo what you mean."
            m "(Aphid milk...? Ew.)"
            m "I think I'll save a piece as a crumb. Can I bargain with it?"
            a "I don't see why not."
            
    a "So, now that I know you're both fed, I'll be heading back. Where are you two going?"
    j "Up to Mandy."
    m "We're going-"
    menu:
        "To the classroom next door.":
            a "Oh, is that so? Well, good luck."
            jump classroom
            
        "To the cafeteria.":
            a "Oh, is that so? Well, good luck."
            jump cafeteria
            
        "To the whiteboard":
            a "Oh, is that so? Well, good luck."
            jump whiteboard
    
label day2night:
    
    play music "Sovereign.mp3"
    
    scene bg bookshelf night with dissolve
    show mandy smile at left
    show jake smile at right
    with dissolve
    
    m "All right, I'm beat."
    j "What? I can't believe you."
    m "I'm going to sleep, now."
    j "All right, good night."
    show black with dissolve
    "A few hours later..."
    
    scene bg bookshelf night
    show mandy
    m "I can't fall asleep after all..."
    menu:
        "Take a short walk":
           m  "Maybe it'll tire me out."
           if ja >= 3:
               $midnightmeeting = True
               show mandy at left
               show jake serious at right
               m "Jake?"
               j "Mandy? I thought you were asleep."
               m "I wish I was. Couldn't sleep either?"
               j "Nope."
               m "This is not how I pictured spending my four day weekend."
               show jake smile
               j "What, never entered your head that you'd be a quarter inch tall?"
               show mandy surprised
               m "Don't remind me."
               show mandy
               m "I actually meant spending it with you."
               show jake serious
               j "Really? Why is that?"
               m "I mean, you're the class president! I'm the class geek. We're basically on two different planets."
               j "...I didn't know you thought that way."
               m "How else would I think?"
               j "... {w}Is there anything I can do to change that?"
               show mandy blush
               m "What?"
               show jake blush
               j "..."
               show mandy smile
               m "Jake?"
               show jake serious
               j "Sorry. {w}I'm tired. Can we talk about this tomorrow?"
               m "Ummm... Yeah..."
               j "Night."
               m "Good night..."
               hide jake with dissolve
               m "What???"
               $ ja += 1
           m "That was pretty tiring, after all..."
           
        "Count sheep":
            m "One, two, three..."
 
    $ day += 1
    jump day3
    
label day3:
    
    play music "The Forest and the Trees.mp3"
    show black with dissolve
    centered "Day 3"
    scene bg bookshelf day with fade
    show mandy smile at left
    show jake serious at right
    show ant normal
    with dissolve
    m "Good morning, Jake."
    j "Morning."
    a "Hello, Jake. Are you all right? You don't look so good."
    j "Just a little tired."
    a "Well, I hope you perk up when I show you breakast!"
    a "I already had some, so you two go ahead."
    a "What do you want, Mandy?"
    menu:
        "Muffin crumb":
            m "Blueberry, I think!"
            a "Oh, lucky."
            j "I like banana better."
            
        "Banana bread":
            $ ja += 1
            show jake smile
            j "Half and half?"
            m "For a muffin? Sure."

    j "So where are we going today?"
    jump schoolmenu
    
    
label day3night: 
    
    play music "Sovereign.mp3"
    scene bg bookshelf night with dissolve
    show mandy at right
    show jake serious at left
    with dissolve
    m "What a long day."
    j "Mmmmm."
    m "This is the last night. If we don't get it all today..."
    j "I know."
    m "Jake... I'm a little scared."
    j "Don't worry, Mandy. We'll get it in time."
    
    if c>=15:
        j "Just look at how many crumbs we have!"
        show mandy smile
        m "Yes, I suppose you're right..."
        
    if c<=14:
        m "I hope we can get a few more crumbs by tomorrow..."
        j "We will. I won't let us stay stuck like this."
        
    m "Well, it's time for bed. Good night, Jake."
    show jake smile
    j "Sleep well."
    
    if ja >= 4:
        if midnightmeeting:
            show black with dissolve
            m "... I have to figure out what Jake meant the other night."
            scene bg bookshelf night with dissolve
            show mandy at left with dissolve
            m "Jake? Jake, are you awake?"
            show jake serious at right with dissolve
            j "... Yeah."
            m "Jake..."
            j "..."
            m "What did you mean... last night?"
            j "..."
            j "You remember the first day we met?"
            m "You mean, class?"
            j "No. It was before then."
            m "I don't remember meeting you before we had literature last year together..."
            j "I figured as much."
            j "See, I had come to the school a few weeks earlier, before the semester started."
            j "I was feeling really nervous, and I hadn't made many friends yet."
            j "I had been sitting in the office, waiting for an appointment with the guidance counselor."
            j "You were sitting beside me, reading Jane Eyre. Someone opened the office door, and you dropped your book."
            j "I picked it up for you, and you thanked me."
            j "I asked you some nonsense question, I don't even remember what it was now, just so I could talk to someone. You smiled and answered me."
            j "We talked for about fifteen mintues, then I got called into the office."
            j "I never met someone so smart, gentle, pretty, and genuine. You were the reason I decided to join the student council."
            j "I was hoping you would notice me."
            m "Jake..."
            j "You did, eventually, but it turned out, you were avoiding me because of it? My plan backfired altogether... Ha..."
            m "I wasn't avoiding you, Jake..."
            j "No, avoid is the wrong word. Distanced, maybe?"
            m "... You're right. It did make me a little intimidated, for someone like you to notice me. Quiet girls aren't used to much attention."
            j "See what I mean. It took something like the both of us to be shrunk to the size of a TikTak for you to see me for who I am."
            m "... But... I see you now."
            show jake blush
            j "..."
            j "Yeah."
            m "..."
            m "So... where does that lead us?"
            show jake serious
            j "I honestly don't know."
            show mandy smile
            m "... that's okay. We don't need to figure it out right this second."
            j "... Yeah."
            "......."
            show mandy veryhappy
            m "Jake?"
            j "Yes?"
            m "Can I hold your hand?"
            j ".... {w}Of course."
            $ confession = True
            
    $ day += 1
    
    jump day4
    
label day4:
    
    play music "The Forest and the Trees.mp3"
    show black with dissolve
    centered "Day 4"
    
    scene bg bookshelf day with dissolve
    show mandy at left
    show jake smile at right
    with dissolve
    m "The last day."
    j "I know."
    m "It's now or never."
    j "Me neither. I wonder where Andy is?"
    show mandy surprised
    m "Huh. That's odd. He's usually here."
    show mandy smile
    m "What'll we do for breakfast?"
    j "I don't know... I'm not really hungry."
    m "Neither am I. Let's just get this over with."
    j "All right."
    
    jump schoolmenu

label morgrimsmousehole:
    scene bg mousehole with fade
    
    show mandy at left
    show jake serious at right
    with dissolve    
    m "Well? Do we have all of them?"
    j "All we have."
    show ant worried with dissolve
    a "Wait! Wait, you two! *huff huff*"
    show ant worried with dissolve
    m "Andy! I thought you weren't going to show up! Where were you this morning?"
    a "Trying to get a few more crumbs. Unfortunately, I got caught. I have two cookie crumbs here, but I had to promise I would play 
    quiz fair and square for you to get them. Do you want to play?"
    
    menu:
        "Yes, we can use more crumbs.":
            a "All righty then; here are your questions. Both of them are worth two crumbs each."
            centered "{color=#00FF7F}Which Lemmasoft member created the Fantasia VN series?{/color}"
            menu: 
                "azureXtwilight":
                    show ant normal
                    a "Correct! Great job!"
                    $ c += 2
                "Jack Norton":
                    show ant worried
                    a "No! Please be careful; you can't afford to waste a crumb."
                    $ c -= 2
                "sakebento":
                    show ant worried
                    a "No! Please be careful; you can't afford to waste a crumb."
                    $ c -= 2
                "Silvere":
                    show ant worried
                    a "No! Please be careful; you can't afford to waste a crumb."
                    $ c -= 2
                    
            a "Here's your second question."
            j "I wager 1250."
            a "Pardon?"
            m "No time for Jeopardy references, Jake."
            j "Sorry."
            a "Humans... All right."
            
            centered "{color=#00FF7F}On which platform can Renpy NOT perform?{/color}"
            menu:
                "mac":
                    show ant worried
                    a"Oh no! That's not it!"
                    $ c -= 2
                "PC":
                    show ant worried
                    a "Oh no! That's not it!"
                    $ c -= 2
                "android":
                    show ant worried
                    a "Oh no! That's not it!"
                    $ c -= 2
                "ipad":
                    show ant normal
                    a "Yes! Good job!"
                    $ c += 2
            
            m "I hope we have enough..."
            
        "No, thanks, Andy; we have all we need.":
            a "Oh, good; I was worried you didn't meet enough insects."
            j "Oh, we've met plenty."
            
    a "All right, I have to run along now. It was nice meeting the two of you. Remember me when you're human-sized again!"
    m "Thank you so much, Andy. We couldn't have done it without you."
    j "Goodbye, Andy. We'll certainly miss you."
    a "Aw, see? Saying 'we' instead of 'I'. I told ya you make a good couple!"
    m "Andy!"
    show jake blush
    a "Bye folks! Be kind to ants!"
    hide ant with dissolve
    m "Oh, I'm going to miss him."
    show jake serious
    j "I know what you mean."
    show mmouse angry behind jake with dissolve
    mm "Eh? What's all this ruckus out here?"
    mm "You again? Trespassing on my property, and disturbing the public peace! I'll call the janitors on you!"
    m "Mister Morgrim! Please, we have a favor to ask you."
    mm "Don't do no favors for no-"
    j "We can pay you."
    show mmouse happy 
    mm "Oh? Well, then. That's a different story."
    j "We need you to press that red button up there. We're too small to do it ourselves."
    mm "Hmmm. Red button, huh? Sounds reasonable."
    mm "Ahem, of course, that seems like a very long way up. What have you got for me?"
    "We show him our sack."
    
    if c <=0:
        show mandy surprised
        m "I'm sorry, all our crumbs..."
        show mmouse angry
        mm "Bah! Tricking me! You worthless fools. Bothering me again. Janitor! Janitor!"
        "SQUEAK SQUEAK SQUEAK!!!"
        "Oh! He's putting up such an awful racket. Someone might hear him!"
        "Janitor" "What, a mouse? Eh? In here, sounds like."
        show jake upset
        j "Run, Mandy!"
        "We ran as fast as we could away from the mousehole. Unfortunately, we saw almost immediately we should have run towards it."
        scene bg broom with fade
        "Morgrim dove for his hidey-hole, the janitor missing him with his broom by centimeters."
        "However, we caught his eye. Mistaking us for bugs, he raised his broom."
        "The last thing Jake and I see are hundred of bristles coming on top of us..."
        
        show black with dissolve
        centered"Messy End"
        jump credits
        
    if c >= 0:
        if c <= 14:
            show mmouse normal
            mm "Hmmm... only this many? Well, I can try, but I can't guartantee success."
            show mandy worried
            m "Let's hurry, it's already past 1:00. We'll have to hurry if we're to make it by the 3-day timeline."
            "We hurried to the top of the machine, but it took us over an hour. We had literally minutes left."
            scene bg machinetop with dissolve
            show mandy at left
            show jake serious at right
            show mmouse normal
            with dissolve
            j "All right, Morgrim, if you could sit on top of that red button there while Mandy and I take position."
            mm "Righto."
            hide mmouse
            j "Let's go, Mandy."
            "We positioned ourself on what looked like the light beam."
            m "I hope this works."
            j "It will. Look, we still have three minutes left."
            show jake upset
            j "All right, Morgrim! Get on!"
            mm "All right!"
            hide jake
            hide mandy
            "Jake and I held our breath as Morgrim lurched on top of the button."
            "And then..."
            mm "It's not going down!"
            show mandy worried at left
            m "What?!"
            mm "I'm not heavy enough, young ones! I'm sorry-"
            "I was almost in tears."
            m "no, no, please, jump up and down, please, Morgrim, we just have to-"
            hide mandy
            hide jake
            show ant normal at left
            show lb happy at right
            show mysterybug behind ant
            show ant normal behind lb
            with dissolve
            a "Hey ho!"
            m "Andy!"
            ll "Hello, dearies!"
            am "Heavens! You're in a rough spot, eh?"
            j "Lily! And Aunty Em!"
            mb "Oh ho, looks like my help is needed here."
            m "And... Um... what-his-name..."
            j "I don't think we ever caught it."
            a "All right, everyone! Pile on top of the button!"
            m "Andy! You got everyone together?!"
            a "That's right. Couldn't have you stuck here, taking all our crumbs, now could we?"
            ll "You're too good at riddles!"
            mb "Not as good as I am... You just got lucky..."
            m "Jake, the clock!"
            a "Hurry, everyone!"
            "They all piled on. Nothing happened."
            m "No!"
            "I closed my eyes in horror. It didn't work!"
            "Then I heard-"
            a "JUMP!"
            scene bg flash with hpunch
            
            play music "Winter Chimes.mp3"
            scene bg classroom
            show mandy veryhappy at left
            show jake smile at right
            with dissolve
            m "Jake? Jake! We did it! "
            j "Ummm... Mandy... You're kind of heavy..."
            show mandy surprised
            m "Aaah! Sorry!"
            hide mandy with dissolve
            show mandy smile at left
            j "Yeah!"
            m "I can't believe it! Oh, I was never so happy to be 5'4 in my life!"
            m "We better get home... our parents must be worried sick!"
            if confession:
                jump romantic
            j " I know what you mean."
            m "Jake... Thanks."
            j "Mmmm. Thank you too."
            hide jake
            "I picked up my cell phone. Luckily, it still had charge left, since I had turned it off Friday."
            m "Hello? Mom? It's me! I know, I know, I'm really sorry, mom..."
            m "Um, where have I been? It's... kind of a long story..."
        
            show black with dissolve
            centered "Big Again End"
            jump credits
        
    if c>0:
        if c >= 15:
            show mmouse amused
            mm "Woah, you have a treasure trove here! I offer up any service I can... uh, offer."
            mm "So, what can I do for you?"
            m "Would you mind pressing that big red button for us?"
            show mmouse happy
            mm "Is that all?"
            j "Yeah."
            m "Hm. Judging by how worried you were looking, I was thinking it was a life-and-death situation."
            m "(It kind of is...)"
            mm "All right, be up there in a jiffy. You go on up by yourselves."
            hide mmouse
            scene bg machinetop with fade
            show jake serious at right
            show mandy smile at left
            with dissolve
            "Jake and I climbed up. It was all right; there were plenty of buttons and footholds."
            j "Excited to go back to normal life?"
            m "More than ready. Although..."
            j "Although?"
        
            if confession:
                m "I... I would like it if..."
                j "If?"
                #blush
                m "...."
                j "Hmmm. Movies."
                m "What?"
                j "Friday. 7 O'clock."
                m "Which movie?"
                j "..."
                m "We can figure that out later."
                j "Yeah..."
                m "... I'll buy the popcorn."
                show jake smile
                j "Deal."
                "We sat in companionable silence. Well, as silent as an overweight mouse climbing a metal machine could be."
                m "You know..."
            
            m "I'm going to miss everyone here. Even if it was for just three days..."
            j "I know what you mean."
            show mmouse angry behind jake
            mm "*Huff, Huff* Don't worry, I'm here!"
            j "Well, maybe with one exception."
            m "I know what you mean."
            mm "All right, short ones, all's well, I'm here."
            hide mmouse
            hide mandy
            hide jake
            show ant normal at left
            show lb happy at right
            show mysterybug behind ant
            show ant normal behind lb
            with dissolve
            a "Wait! Wait, we're here too!"
            mm "What? What's all-"
            ll "Don't leave just yet!"
            mb "One more round! All or nothing!"
            am "You wouldn't leave without saying goodbye to your Aunty Em, would you?"
            j "*whisper* Insert Toto joke here."
            m "*giggle*"
            m "Everyone! I'm so glad you came!"
            a "Of course! You two coming was the most exciting things that's happened in months."
            j "Thanks for coming, you guys. We really appreciate it."
            mm "All right, all right, now are you guys going or not?"
            m "Ah, yeah. Time's almost up."
            m "Good bye! And thank you, thank you all!"
            ll "Bye, Mandy! We'll miss you!"
            a "Take care of her, you hear, Jake?"
            am "Be nice to ants!"
            mb "One more round! Just one more!"
            "I shut my eyes."
            scene bg flash
        
            play music "Winter Chimes.mp3"
            scene bg classroom with fade
            show mandy smile
            show jake serious at right
            with dissolve
            m "We did it... We did it!"
            j "Ummm... Mandy... You're a bit heavy..."
            show mandy surprised
            m "Kyah! Jake! I'm so sorry!"
            hide mandy
            show mandy veryhappy at left with dissolve
            m "We're back..."
            show jake smile
            j "I guess we are."
            show jake serious
            m "So... What now?"
            j "..."
            if confession:
                jump romantic
            
            j "I need to brush my teeth."
            m "I need a shower."
            j "I could tell."
            show mandy worried
            m "You-!"
            show jake smile
            j "Hey, hey, I'm  joking!"
            show mandy smile
            m "... No, you're right. Urgh."
            j "*Sigh* We're in a boatload of trouble, aren't we."
            m "You think?"
            j "Begin damage control."
            m "Yep. I suppose so."
        
            show black with dissolve
            centered "Successful end"
            jump credits
        
label romantic:
    
    play music "Winter Chimes.mp3"
    m "I suppose... we should head home..."
    j "Wait."
    m "Hmmm?"
    j "Come here."
    m "What-?"
    scene bg firstkiss with dissolve
    m "!!!"
    scene bg classroom with dissolve
    show mandy smile at left
    show jake serious at right
    with dissolve
    show jake smile
    j "*grin* You don't know how long I've wanted to do that."
    m "Jake!"
    m "That was my first kiss!"
    j "What?!"
    j "...."
    j "That was mine, too."
    m "Wah! Jake!"
    j "Fine, you want me to take it back?"
    m "... I have a better idea."
    scene bg kiss with dissolve
    j "...!"
    scene bg classroom with dissolve
    show mandy smile at left
    show jake serious at right
    with dissolve
    show jake smile
    m "Heh. Now we're even."
    j "You..."
    m "Look, they're all gone."
    scene bg shrinkmachine with dissolve
    "......"
    scene bg classroom with dissolve
    show mandy smile at left
    show jake serious at right
    with dissolve
    show jake serious
    j "Yeah, I guess so."
    m "Andy, Lily...That mysterious dude..."
    j "Aunty Em..."
    show jake smile
    j "...*chuckle*"
    m "... What?"
    j "I'm glad we're back in Kansas."
    show mandy veryhappy
    m "There's no place like home."
    
    show black with dissolve
    centered "Back in Kansas end"
    jump credits
    
label credits:
    play music "SoCold.mp3"
    show black with dissolve
    centered "Sprites, Story, CGs, and some backgrounds (I think it's obvious which ones) made by: me, CHOKLIT"
    centered "photographs:{p}http://www.flickr.com/photos/therefore/18636595/{p}http://www.dpi.state.wi.us/AG/agfac01.html"
    centered "music: Incompetech.com (Kevin Mcleod)"
    centered "Renpy VN engine"
    
    centered "And now for the people whom I need to thank!"
    centered "First of all, PyTom for creating the awe-inspiring Renpy,"
    centered "My family, whom I love, and honestly do like. I'm so blessed to have a family like you!"
    centered "My VN group, Polymorphic, who encourage, support, and inspire me all the time. Long live Polymorphic!"
    centered "My friends, who are all wonderful and who amaze me by putting up with me..."
    centered "Especially Odilia, Emily, and JanC, who continue to support my manga and game-making craze"
    centered "The lemmasoft community! You guys are so fun to hang around; a girl couldn't ask for a more diverse, interesting, helpful group of dedicated gamemakers and players."
    centered "Last, but most certainly not least, my Lord and Saviour, Jesus Christ, whom I love above all things. John 3:16!!!"
    
    centered "And thank YOU, for reading this far! I hope you enjoyed my little VN!"
    
    return
